Agara

List an order's fills

GET
/trade/v1/orders/{order_id}/trades

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: orders:read

Path Parameters

order_id
Required
string

Internal order UUID returned by POST /trade/v1/orders.

Format: "uuid"
curl -X GET "https://app.agara.xyz/trade/v1/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/trades" \
  -H "Authorization: Bearer <token>"

Trades that filled this order, newest-first, from the order's perspective.

{
  "as_of": "2019-08-24T14:15:22Z",
  "trades": [
    {
      "exchange": "AGARA",
      "executed_at": "2019-08-24T14:15:22Z",
      "fee_micro": "1000000",
      "fill_id": "string",
      "order_id": "string",
      "price_micro": "1000000",
      "role": "MAKER",
      "shares_micro": "1000000",
      "side": "BUY",
      "status": "string",
      "token_id": "string",
      "trade_id": "string",
      "transaction_hash": "string"
    }
  ]
}